Bug 518995 - Anaconda fails partitioning from a kickstart and crashes and reboots
Summary: Anaconda fails partitioning from a kickstart and crashes and reboots
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 11
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 14:25 UTC by Yaakov Nemoy
Modified: 2014-10-06 18:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:16:40 UTC
loupgaroublond: needinfo-


Attachments (Terms of Use)
Kickstart template for cobbler (2.18 KB, text/plain)
2009-08-24 14:25 UTC, Yaakov Nemoy
no flags Details
updated version of the previous kickstart (2.18 KB, application/octet-stream)
2009-08-24 14:41 UTC, Yaakov Nemoy
no flags Details
opname - anaconda crashing completely when trying to reason about kickstarts (2.79 MB, video/3gpp)
2009-08-25 08:48 UTC, Yaakov Nemoy
no flags Details

Description Yaakov Nemoy 2009-08-24 14:25:07 UTC
Created attachment 358463 [details]
Kickstart template for cobbler

Description of problem: Anaconda crashes claiming there is not enough space on the LVM vg for the lv. Once it fails, anaconda completely rolls over and dies, taking out the entire system. There won't be any tracebacks or logs included because once the system shuts down, there's no way i can get anything out of it.


Version-Release number of selected component (if applicable): Fedora 11 stock


How reproducible: I'll attach a kickstart template for cobbler


Steps to Reproduce:
1. Insert kickstart in cobbler along with acompanyning profile.
2. Provision machine
3. Watch the fail
  
Actual results: Nasty traceback and then a reboot


Expected results: Automated install


Additional info:
You would think LVM on top of software RAID would work, wouldn't you?

Comment 1 Andy Lindeberg 2009-08-24 14:38:45 UTC
Can you get a picture of the crash, say from a digital camera? Alternatively, removing "reboot" from your kickstart file might prevent it from rebooting after the crash.

Comment 2 Yaakov Nemoy 2009-08-24 14:40:51 UTC
Apparently changing the minimum size of the two raid partitions solves the problem. I'm going to presume the issue lies somewhere how anaconda tries to resolve the potential layout. I'll attach a slightly modified version of the above template.

Comment 3 Yaakov Nemoy 2009-08-24 14:41:15 UTC
yeah, i'll switch the kickstart back and take a picture for shits and giggles.

Comment 4 Yaakov Nemoy 2009-08-24 14:41:42 UTC
Created attachment 358469 [details]
updated version of the previous kickstart

Comment 5 Yaakov Nemoy 2009-08-24 15:27:13 UTC
better yet, i'll have a video as soon as my phone uploads it

Comment 6 Yaakov Nemoy 2009-08-25 08:48:49 UTC
Created attachment 358537 [details]
opname - anaconda crashing completely when trying to reason about kickstarts

Comment 7 Yaakov Nemoy 2009-08-25 08:52:04 UTC
So i'm seeing two possible bugs here. One is that anaconda ignores the --grow parameter and crashes when it thinks it won't have the space.

The second is that when crashing in such a case, it takes the whole system down making it harder to debug.

The third is that reboot won't affect it, i've tried it both ways.

Comment 8 Hans de Goede 2009-09-02 17:55:36 UTC
Yaakov,

I believe that the issue is that the kickstart code in F-11 and later does the
initial Logical Volume creation before growing (and then will grow them too if requested). All in all it isn't strange that asking for a 200 MB PV and then
creating a 10G LV in a VG consisting of only that PV fails. But we should
not traceback but instead report a decent error.

Since this is mostly kickstart related (it was assigned to me because of the
RAID involvement), I'm reassigning this to clumens, who knows the kickstart code best.

Comment 9 Yaakov Nemoy 2009-09-02 20:38:01 UTC
Hans,

Personally i think that it shouldn't ignore --grow when doing the calculation. I understand the strangeness, and i've adjusted our kickstarts on our machines accordingly. Still, it was a frustrating issue because it's not documented. If you're feeling especially lazy, just update the documentation and make it spit back a nicer error ;).

Comment 10 Chris Lumens 2010-03-29 19:44:14 UTC
Can you reproduce this with F13 alpha or beta?  If so, can you please use the exception dialog to either file a new bug or scp the traceback file to another computer?  Alternatively, you can switch over to tty2 (may need to use the nokill parameter) grab /tmp/anaconda-tb-*, scp it to another computer, and then attach it to this bug report?

Comment 11 Bug Zapper 2010-04-28 09:56:30 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-06-28 14:16:40 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.